Friday, 23 November 2012

libRabbitMQ V2.2 for OpenVMS Alpha and Integrity

What's New In This Release?

This release includes all components provided by the previous release along with the following new features:
  • A STOMP client API that may be used with the RabbitMQ STOMP adapter or with any other STOMP 1.1-compliant message broker
  • An Apache module (MOD_AMQP) that can forward to RabbitMQ messages sent to Apache via HTTP POST
The release notes provide additional information on this version.


The authors would like to acknowledge the support and assistance of the RabbitMQ team in the creation of this release.


The kit you are receiving has been compiled and built using the operating system and product versions listed below. Whilst it is highly likely that you will have no problems installing and using the kit on systems running higher product versions of the products listed, we cannot say for sure that you will be so lucky if your system is running older versions. If you require a kit for a different configuration, we will do what we can to oblige. Note that the UnZip utility is required in order to unpack the ZIP kit.
  • HP OpenVMS 8.3 or higher
  • Optional: HP TCP/IP Services V5.6 or higher (if you wish to perform network operations)
    It has not been verified whether the kit works with the MultiNet TCP/IP stack, but there is a good chance that it will
  • Optional: HP Secure Web Server for OpenVMS (based on Apache) 2.1-1 (if you wish to use the MOD_AMQP Apache module)
  • Optional: Web Services Integration Toolkit for HP OpenVMS (WSIT) V2.1 or higher (required if you wish to develop applications using WSIT code generation facilities). Details about WSIT can be found at
  • Optional: Java 1.5 or higher (required if you wish to develop Java applications on OpenVMS using WSIT code generation facilities).
    Note that the RabbitMQ 2.8.7 Java client binary distribution is included with this release of libRabbitMQ for OpenVMS. Details about the RabbitMQ Java client may be found at
  • UnZip 5.42 (or similar) for OpenVMS (required to unpack the ZIP kit and can be found on the OpenVMS Freeware CD)
 If you would like a kit, please send an email to brett.r.cameron(AT) and johndapps(at) stating the platform you require and, if possible, your interest in RabbitMQ in general and the libRabbitMQ library in particular.

Please see the BC&JA homepage for additional information on open source products that have been ported to OpenVMS.

No comments:

Post a Comment